<?php
require_once 'models/exam_enrollments_model.php';
class exam_enrollments_controller {
    private $model;
    public function __construct() {
        $this->model = new exam_enrollments_model();
    }

    public function index() {
        return $this->model->getAll();
    }

    public function show($ref) {
        return $this->model->get($ref);
    }

    public function show_v2($id) {
        return $this->model->get_v2($id);
    }

    public function get_dockets($id) {
        return $this->model->get_dockets($id);
    }

    public function store($data) {
        return $this->model->insert($data);
    }

    public function update($id, $data) {
        return $this->model->update($id, $data);
    }

    public function destroy($id) {
        return $this->model->delete($id);
    }
}
?>
